> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Group Disconnections

> Get disconnection information for a group



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/group_disconnection_requests
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/group_disconnection_requests:
    get:
      tags:
        - Group Disconnections
      summary: List Group Disconnection Requests by Group
      description: Returns a list of all group disconnection requests for a given group ID.
      operationId: getGroupDisconnectionRequestListByGroup
      parameters:
        - description: The unique identifier of the associated group in Noyo
          in: path
          name: group_id
          required: true
          schema:
            example: 2ce3b54a-2535-4803-b218-e6b44081d418
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 1
                response:
                  - carrier_id: 5200a894-81c5-4c41-8519-86c32e9a9965
                    completed: null
                    created: 1557329939
                    decided: 1557329939
                    effective_end_date: '2025-01-01'
                    group_id: f833ac4b-36aa-46f4-826c-0badcfe27922
                    group_name: Widgets R Us
                    id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                    modified: 1557329939
                    organization_id: ca72d1e1-56a6-46ac-b400-a91e1f6b893a
                    source_id: null
                    source_type: platform
                    status: processing
                    version: 5200a894-81c5-4c41-8519-86c32e9a9965
              schema:
                $ref: '#/components/schemas/PaginatedGroupDisconnectionRequestResult'
          description: >-
            Successful Response - Returns all matching Group Disconnection
            Requests
components:
  schemas:
    PaginatedGroupDisconnectionRequestResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of group disconnection request results
          items:
            $ref: '#/components/schemas/GroupDisconnectionRequestResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    GroupDisconnectionRequestResult:
      properties:
        carrier_id:
          description: Unique identifier for the carrier to be disconnected from
          format: uuid
          readOnly: true
          type: string
        completed:
          description: Timestamp at which the disconnection was completed
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        decided:
          description: >-
            Timestamp at which the platform recorded a decision on the
            disconnection
          readOnly: true
          type: integer
        effective_end_date:
          description: The date at which the disconnection will take effect
          format: date
          readOnly: true
          type: string
        group_id:
          description: >-
            Unique identifier for the group to be disconnected. May be missing
            if group has already been disconnected.
          format: uuid
          readOnly: true
          type: string
        group_name:
          description: Name of the group to be disconnected from
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        organization_id:
          description: Unique identifier for organization associated with the request
          format: uuid
          readOnly: true
          type: string
        source_date:
          description: The date associated with the source of the disconnection
          format: date
          readOnly: true
          type: string
        source_id:
          description: >-
            If applicable, the ID associated with the source of the
            disconnection request
          format: uuid
          readOnly: true
          type: string
        source_type:
          description: The source of the disconnection request
          readOnly: true
          type: string
        status:
          description: The status of the disconnection request
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_name
        - id
        - modified
        - organization_id
        - source_id
        - source_type
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - organization_id
        - carrier_id
        - group_id
        - group_name
        - source_id
        - source_type
        - source_date
        - status
        - effective_end_date
        - completed
        - decided

````